import applicationOptions from './application-options.js';
const Options = {
    SKIP_CLIENT: applicationOptions.OptionNames.SKIP_CLIENT,
    SKIP_SERVER: applicationOptions.OptionNames.SKIP_SERVER,
    NO_FLUENT_METHOD: 'noFluentMethod',
    READ_ONLY: 'readOnly',
    FILTER: 'filter',
    EMBEDDED: 'embedded',
};
const optionNames = Object.values(Options);
Options.forEach = passedFunction => {
    if (!passedFunction) {
        throw new Error('A function has to be passed to loop over the unary options.');
    }
    optionNames.forEach(optionName => {
        passedFunction(optionName);
    });
};
Options.exists = option => Object.values(Options).includes(option);
export default Options;
